Skip to content

Create a mailbox

Request

Add a new SMTP/IMAP mailbox with connection settings.

Security
bearerAuth
Bodyapplication/jsonrequired
emailstringrequired
Example:"outreach@company.com"
sender_namestringrequired
Example:"John from Company"
sender_profile_uuidstringrequired
providerstring
connection_settingsobject
automation_daily_limitinteger
Example:50
automation_task_intervalinteger
Example:120
POST
/emails/api/mailboxes
curl -i -X POST \
  https://leadgen.grinfi.io/emails/api/mailboxes \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "email": "outreach@company.com",
    "sender_name": "John from Company",
    "sender_profile_uuid": "string",
    "provider": "string",
    "connection_settings": {
      "smtp_host": "string",
      "smtp_port": 0,
      "smtp_username": "string",
      "smtp_password": "string",
      "imap_host": "string",
      "imap_port": 0,
      "imap_username": "string",
      "imap_password": "string"
    },
    "automation_daily_limit": 50,
    "automation_task_interval": 120
  }'

Responses

Mailbox created.

Bodyapplication/json
uuidstring
team_idinteger
user_idinteger
sender_profile_uuidstring
emailstring
Example:"outreach@company.com"
sender_namestring
Example:"John from Company"
providerstring
statusstring
automation_daily_limitinteger
Example:50
automation_task_intervalinteger
Example:120
custom_tracking_domain_uuidstring or null
connection_settingsobject
created_atstring, (date-time)
updated_atstring, (date-time)
Response
{ "uuid": "string", "team_id": 0, "user_id": 0, "sender_profile_uuid": "string", "email": "outreach@company.com", "sender_name": "John from Company", "provider": "string", "status": "string", "automation_daily_limit": 50, "automation_task_interval": 120, "custom_tracking_domain_uuid": "string", "connection_settings": {}, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }